|  | Home | Documentation | saml2__EncryptedElementType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__EncryptedElementType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":EncryptedElementType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__EncryptedElementType:
[legend]

## Public Attributes
xenc__EncryptedDataType | xenc__EncryptedData
| Imported element reference "http://www.w3.org/2001/04/xmlenc#":EncryptedData. More...
$int | __sizexenc__EncryptedKey
xenc__EncryptedKeyType ** | xenc__EncryptedKey

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":EncryptedElementType is a complexType.

struct saml2__EncryptedElementType operations:

- saml2__EncryptedElementType* soap_new_saml2__EncryptedElementType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__EncryptedElementType(struct soap*, saml2__EncryptedElementType*) default initialize members
- int soap_read_saml2__EncryptedElementType(struct soap*, saml2__EncryptedElementType*) deserialize from a source
- int soap_write_saml2__EncryptedElementType(struct soap*, saml2__EncryptedElementType*) serialize to a sink
- saml2__EncryptedElementType* soap_dup_saml2__EncryptedElementType(struct soap*, saml2__EncryptedElementType* dst, saml2__EncryptedElementType <em>src) returns deep copy of saml2__EncryptedElementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__EncryptedElementType(saml2__EncryptedElementType) deep deletes saml2__EncryptedElementType data members, use only on dst after soap_dup_saml2__EncryptedElementType(NULL, saml2__EncryptedElementType *dst, saml2__EncryptedElementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__EncryptedElementType::__sizexenc__EncryptedKey

Imported element reference "http://www.w3.org/2001/04/xmlenc#":EncryptedKey. Size of "http://www.w3.org/2001/04/xmlenc#":EncryptedKey array is 0..unbounded.

xenc__EncryptedDataType saml2__EncryptedElementType::xenc__EncryptedData

Imported element reference "http://www.w3.org/2001/04/xmlenc#":EncryptedData.

Required element.

xenc__EncryptedKeyType* * saml2__EncryptedElementType::xenc__EncryptedKey

The documentation for this struct was generated from the following file:

- saml2.h